package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcTbcz;
import org.apache.ibatis.annotations.Param;

/**
 * 通报处置Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcTbczMapper 
{
    /**
     * 查询通报处置
     * 
     * @param id 通报处置主键
     * @return 通报处置
     */
    public TcTbcz selectTcTbczById(Long id);

    /**
     * 查询通报处置列表
     * 
     * @param tcTbcz 通报处置
     * @return 通报处置集合
     */
    public List<TcTbcz> selectTcTbczList(TcTbcz tcTbcz);

    /**
     * 新增通报处置
     * 
     * @param tcTbcz 通报处置
     * @return 结果
     */
    public int insertTcTbcz(TcTbcz tcTbcz);

    /**
     * 修改通报处置
     * 
     * @param tcTbcz 通报处置
     * @return 结果
     */
    public int updateTcTbcz(TcTbcz tcTbcz);

    /**
     * 删除通报处置
     * 
     * @param id 通报处置主键
     * @return 结果
     */
    public int deleteTcTbczById(Long id);

    /**
     * 批量删除通报处置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcTbczByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
